Anonymous Login
2019-06-25 16:40 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000071v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:42
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0000071: Cache Total Task Counts
Description
When you have a lot of projects with lots of tasks, the Project List screen can take a ridiculous amount of time to render (3 min w/ 400 projects of 100 tasks each). Caching the total tasks in advance - updated at task creation/deletion - would decrease this load significantly.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000169closedcaseydk v1.1 Release (Closed) Cache Time Worked 
child of 0000142closedcaseydk Pending Requests System Performance Improvements 
+Relationships

-Notes

~0000403

caseydk (administrator)

Resolved in r594.

Whenever a task is saved (via store or delete), the current task count is calculated and stored on the projects table, the old method using the "task_total" temp-table is still in place for backwards compatibility reasons.

~0000456

caseydk (administrator)

Closed for release.
+Notes

-Issue History
Date Modified Username Field Change
2008-10-06 21:07 caseydk New Issue
2009-04-27 22:01 caseydk Relationship added child of 0000142
2009-05-31 21:23 caseydk Relationship added related to 0000169
2009-08-13 06:54 caseydk Status new => assigned
2009-08-13 06:54 caseydk Assigned To => caseydk
2009-08-13 06:54 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-08-30 20:43 caseydk Status assigned => resolved
2009-08-30 20:43 caseydk Resolution open => fixed
2009-08-30 20:43 caseydk Note Added: 0000403
2009-09-09 22:42 caseydk Status resolved => closed
2009-09-09 22:42 caseydk Note Added: 0000456
2009-09-09 22:42 caseydk Fixed in Version => 1.1
+Issue History